---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "gitea_token Resource - terraform-provider-gitea"
subcategory: ""
description: |-
  gitea_token manages gitea Access Tokens.
  Due to upstream limitations (see https://gitea.com/gitea/go-sdk/issues/610) this resource
  can only be used with username/password provider configuration.
  WARNING:
  Tokens will be stored in the terraform state!
---

# gitea_token (Resource)

`gitea_token` manages gitea Access Tokens.

Due to upstream limitations (see https://gitea.com/gitea/go-sdk/issues/610) this resource
can only be used with username/password provider configuration.

WARNING:
Tokens will be stored in the terraform state!

## Example Usage

```terraform
provider "gitea" {
  base_url = var.gitea_url
  # Token Auth can not be used with this resource
  username = var.gitea_username
  password = var.gitea_password
}

// The token owner is the creator of the token
resource "gitea_token" "test_token" {
  name   = "test_token"
  scopes = ["all"]
}

output "token" {
  value     = resource.gitea_token.test_token.token
  sensitive = true
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `name` (String) The name of the Access Token
- `scopes` (Set of String) List of string representations of scopes for the token

### Read-Only

- `id` (String) The ID of this resource.
- `last_eight` (String)
- `token` (String, Sensitive) The actual Access Token
